Ask Your Question
0

error during catkin_make

asked 2014-07-04 08:27:11 -0500

gerhenz gravatar image

Hello,

I'm completely new to ROS (and Ubuntu) and I'm having some trouble when trying to use the command catkin_make (I'm following the tutorial to configure ROS environment).

The error message is the following:

-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- ~~  traversing 1 packages in topological order:
-- ~~  - beginner_tutorials
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- +++ processing catkin package: 'beginner_tutorials'
-- ==> add_subdirectory(beginner_tutorials)
CMake Error at /opt/ros/hydro/share/catkin/cmake/catkinConfig.cmake:75 (find_package):
  Could not find a package configuration file provided by "std/-msgs" with
  any of the following names:

    std/-msgsConfig.cmake
    std/-msgs-config.cmake

  Add the installation prefix of "std/-msgs" to CMAKE_PREFIX_PATH or set
  "std/-msgs_DIR" to a directory containing one of the above files.  If
  "std/-msgs" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  beginner_tutorials/CMakeLists.txt:7 (find_package)


-- Configuring incomplete, errors occurred!
make: *** [cmake_check_build_system] Error 1
Invoking "make cmake_check_build_system" failed

I'm not sure, but I think I did something wrong when I created the beginner_tutorials package in another tutorial. Maybe I mistyped the name of the package std_msgs in the dependencies field? Anyway, even if this is the case, I don't know how to proceed to fix it.

How should I proceed to fix this error?

edit retag flag offensive close merge delete

Comments

Please post your CMakeLists.txt

BennyRe gravatar imageBennyRe ( 2014-07-04 08:31:45 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
7

answered 2014-07-04 10:00:27 -0500

Wolf gravatar image

My guess is that in your CMakeLists.txt you say something like

find_package(catkin REQUIRED roscpp std/-msgs )

rather than

find_package(catkin REQUIRED roscpp std_msgs )

Note: std_msgs is the correct package name

edit flag offensive delete link more

Comments

thank you Wolf! It worked!

gerhenz gravatar imagegerhenz ( 2014-07-04 10:35:30 -0500 )edit

Thanks. It helps.

Ringo gravatar imageRingo ( 2016-02-10 07:14:17 -0500 )edit
1

I dont have something like find_package(catkin REQUIRED roscpp std/-msgs ) this text in my CMakeLists.txt .How can i fix it?

cemal gravatar imagecemal ( 2017-09-28 13:02:05 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2014-07-04 08:27:11 -0500

Seen: 6,493 times

Last updated: Jul 04 '14